---
title: GNOME Release Calendar
layout: default
urlprepend: "../"
---

<section>
  <h1>{{ page.title }}</h1>

  <p>Information on release and freeze dates is also available as an online calendar: <a href="https://www.gnome.org/start/unstable/schedule.ics">HTTP link</a>,
  <a href="webcal://www.gnome.org/start/unstable/schedule.ics">webcal link</a>. You can subscribe to it with applications such as
  <a href="https://apps.gnome.org/Calendar/">GNOME Calendar</a> or Evolution.</p>

  <div>
    <h3 id="releases" class="anchor">
      Release dates
      <a href="#releases">#</a>
    </h3>

    <table>
      <tr>
        <th>Version</th>
        <th>Type</th>
        <th>Tarballs due date</th>
        <th>Notes</th>
      </tr>
      {% for release in site.data.calendar.releases %}
      <tr class="{{ release.type }}">
        <td>{{ release.version }}</td>
        <td>{{ release.type }}</td>
        <td>{{ release.tarballs_due_date }}</td>
        <td>
        {% if release.type == "eol" %}
        Last release
        {% elsif release.type == "stable" and release.release_date %}
        Release: {{ release.release_date }}
        {% endif %}
        </td>
      </tr>
      {% endfor %}
    </table>
  </div>

  <div>
    <h3 id="branches" class="anchor">
      Current branches
      <a href="#branches">#</a>
    </h3>

    <p><em>Reminder</em>: old bug fixes and performance improvements are allowed for stable branches. No feature, string, UI, or API/ABI changes are allowed
    without a corresponding <a href="https://handbook.gnome.org/release-planning/freezes.html">freeze exception approval</a>.</p>

    <table>
      <tr>
        <th>Branch</th>
        <th>Version</th>
      </tr>
      <tr>
        <td>Unstable</td>
        <td>{{ site.data.calendar.unstable }}</td>
      </tr>
      <tr>
        <td>Stable</td>
        <td>{{ site.data.calendar.stable }}</td>
      </tr>
      <tr>
        <td>Old stable</td>
        <td>{{ site.data.calendar.old_stable }}</td>
      </tr>
    </table>
  </div>

  <div>
    <h3 id="freezes" class="anchor">
      Freezes on development branch
      <a href="#freezes">#</a>
    </h3>

    <p>Current <a href="https://handbook.gnome.org/release-planning/freezes.html">freezes</a> in place for the development cycle.</p>

    <table class="freezes">
      <tr>
        <th>Freeze</th>
        <th>Start date</th>
      </tr>
      {% for release in site.data.calendar.freezes %}
      <tr>
        <td>{{ release.type }}</td>
        <td>{{ release.start_date }}</td>
      </tr>
      {% endfor %}
    </table>
  </div>

  <div><!-- past releases -->
    <details>
      <summary>View Past Releases</summary>

      <table>
        <tr>
          <th>Version</th>
          <th>Release date</th>
        </tr>
        {% for release in site.data.calendar.past_releases %}
        <tr class="stable">
          <td>{{ release.version }}</td>
          <td>{{ release.release_date }}</td>
        </tr>
        {% endfor %}
      </table>
    </details>
  </div>

</section>
